%global python2_sitelib /usr/lib/python2.7/site-packages
%define python_version 2.7
Name:           python2-setuptools
Version:        44.0.0
Release:        5%{?dist}
Summary:        Enhancements to distutils for building and distributing Python packages
License:        MIT
URL:            https://github.com/pypa/setuptools
Source:         https://files.pythonhosted.org/packages/source/s/setuptools/setuptools-%{version}.zip
Patch0:         sort-for-reproducibility.patch
Patch1:         importlib.patch
BuildRequires:  python-rpm-macros
BuildRequires:  unzip
BuildRequires:	python2
# The dependency download feature may require SSL, which is in python3-base and python(2)
Requires:       python2
Provides:       python-distribute = %{version}
Obsoletes:      python-distribute < %{version}
BuildArch:      noarch

%description
setuptools is a collection of enhancements to the Python distutils that
allow you to build and distribute Python packages,
especially ones that have dependencies on other packages.

%prep
%setup -q -n setuptools-%{version}
%autopatch -p1

# # strip shebangs to fix rpmlint warnings
sed -r -i '1s@^#!/.*$@@' setuptools/command/easy_install.py \
    pkg_resources/_vendor/appdirs.py

%build
%{__python2} setup.py build

%install
%{__python2} setup.py install --skip-build --root $RPM_BUILD_ROOT
rm -rf $RPM_BUILD_ROOT%{_bindir}
rm -rf $RPM_BUILD_ROOT%{python2_sitelib}/easy_install*

%files
%license LICENSE
%doc CHANGES.rst README.rst
%{python2_sitelib}/setuptools*
%dir %{python2_sitelib}/pkg_resources
%{python2_sitelib}/pkg_resources/*

%changelog
* Sat Dec 14 2024 Alexander Lushin <alexander.lushin@mail.ru> - 44.0.0-5
- Spec fix. Remove update-alternatives dep
* Fri Dec 13 2024 Alexander Lushin <alexander.lushin@mail.ru> - 44.0.0-4
- Rebulit for el7
